## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class ValueType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.ValueBindingType
                          org.eclipse.jst.jsf.taglibprocessing.attributevalues.ValueType

All Implemented Interfaces:
  IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class ValueType

extends ValueBindingType
implements IValidValues, IValidELValues

Meta-data processing type representing a "value" attribute that implements IValidValues and IValidELValues

Provisional API - subject to change

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`ValueType()`

Method Summary
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ValueBindingType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`getValidationMessages`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidELValues
`getExpectedRuntimeType`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### ValueType

    public ValueType()

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid